Skip to content
Docs

Third-party apps and AI agents connected with OAuth.

Base URLhttps://api.socialit.com/v1AuthenticationErrorsRate limits2 endpointsMCP toolset account

List connected apps

GET/me/connected-apps

With an API key: apps that can reach this workspace (admin keys). In the dashboard: apps you approved.

Access: readZernio: GET /v1/me/connected-apps

Returns object

objectstringrequired

list

dataarray of objectrequired
Show 9 item attributes
objectstring

connected_app

client_idstring
client_namestring
client_uristring | null
logo_uristring | null
scopesarray of string
workspacesarray of object
Show 3 item attributes
idstring
namestring | null
rolestring | null
created_atstring (date-time) | null
last_used_atstring (date-time) | null
pageintegerrequired
limitintegerrequired
totalinteger | null
has_morebooleanrequired
next_page_urlstring | null
previous_page_urlstring | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/me/connected-apps
curl "https://api.socialit.com/v1/me/connected-apps" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "object": "connected_app",
      "client_id": "string",
      "client_name": "string",
      "client_uri": "string",
      "logo_uri": "string",
      "scopes": [
        "string"
      ],
      "workspaces": [
        {
          "id": "string",
          "name": "string",
          "role": "string"
        }
      ],
      "created_at": "2026-10-13T09:00:00.000Z",
      "last_used_at": "2026-10-13T09:00:00.000Z"
    }
  ],
  "page": 1,
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}

Revoke a connected app

DELETE/me/connected-apps/{clientId}

With an API key the app loses access to this workspace only; in the dashboard every grant you gave the app is revoked.

Access: readZernio: DELETE /v1/me/connected-apps/{clientId}

Path parameters

clientIdstringrequired

1–2048 characters

Returns object

objectstringrequired

connected_app

idstringrequired
deletedbooleanrequired

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
DELETE/me/connected-apps/{clientId}
curl -X DELETE "https://api.socialit.com/v1/me/connected-apps/CLIENT_ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "connected_app",
  "id": "string",
  "deleted": true
}